#cookie_banner-wrapper {
    padding: 18px;
    position: fixed;
    background: rgba(242, 242, 242, 0.9);
    color: #000000;
    bottom: 80px;
    height: auto;
    width: calc(100% - 60px);
    max-width: 630px;
    left: 50%;
    transform: translateX(-50%);
    font-size: 0.7rem;
    line-height: 1;
    box-shadow: 0 5px 26px 0 rgba(0, 0, 0, 0.3), 0 20px 28px 0 rgba(0, 0, 0, 0.4);
    border-radius: 10px;
    z-index: 500;
    overflow: hidden;
}
#cookie_banner-wrapper.on-privacy-page {
    position: initial;
    width: 100%;
    max-width: unset;
    transform: initial;
    margin-top: 50px;
    padding: 25px;
    max-height: none;
    box-shadow: none;
    background: #f2f2f2;
}
#cookie_banner-wrapper .titel {
    font-size: 14px;
    font-weight: bold;
    margin-top: 0;
    margin-bottom: 5px;
}
#cookie_banner-wrapper .text {
    margin-top: 0;
    margin-bottom: 10px;
    line-height: 1.2;
}
#cookie_banner-wrapper label {
    cursor: pointer;
}
#cookie_banner-wrapper a span {
    border-bottom: 1px dotted #afafaf;
}
#cookie_banner-wrapper label {
    cursor: pointer;
}
#cookie_banner-wrapper ol {
    list-style-type: none;
    padding-left: 0;
    margin-top: 0;
    margin-bottom: 0;
}
#cookie_banner-wrapper [type=checkbox] {
    position: absolute;
    left: -9999px;
}
#cookie_banner-wrapper .switches {
    border-radius: 5px;
    color: #ffffff;
    background: #18172c;
}
#cookie_banner-wrapper .switches li {
    position: relative;
}
#cookie_banner-wrapper .switches li .mehrerfahren {
    position: absolute;
    right: 90px;
    top: 50%;
    transform: translateY(-50%);
    font-weight: bold;
    font-size: 80%;
}
#cookie_banner-wrapper .switches li .mehrerfahren:hover {
    cursor: pointer;
}
#cookie_banner-wrapper .switches li:not(:last-child) {
    border-bottom: 1px solid #535957;
}
#cookie_banner-wrapper .switches label {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 7px 10px;
}
#cookie_banner-wrapper .switches .scripttitel {
    display: inline;
    margin-top: 0;
    margin-bottom: 0;
    font-weight: bold;
}
#cookie_banner-wrapper .switches .mehrerfahren {
    display: inline;
    margin-left: 10px;
    color: #afafaf;
    font-size: 90%;
}
#cookie_banner-wrapper .switches span:last-child {
    position: relative;
    width: 50px;
    height: 26px;
    border-radius: 15px;
    box-shadow: inset 0 0 5px rgba(0, 0, 0, 0.4);
    background: #535957;
    transition: all 0.3s;
}
#cookie_banner-wrapper .switches span:last-child::before, #cookie_banner-wrapper .switches span:last-child::after {
    content: "";
    position: absolute;
}
#cookie_banner-wrapper .switches span:last-child::before {
    left: 1px;
    top: 1px;
    width: 24px;
    height: 24px;
    background: #ffffff;
    border-radius: 50%;
    z-index: 1;
    transition: transform 0.3s;
}
#cookie_banner-wrapper .switches span:last-child::after {
    top: 50%;
    right: 8px;
    width: 12px;
    height: 12px;
    transform: translateY(-50%);
    background: url(/assets/public/images/dsgvo/uncheck-switcher.svg);
    background-size: 12px 12px;
}
#cookie_banner-wrapper .switches [type=checkbox]:checked + label span:last-child {
    background: #00d084;
}
#cookie_banner-wrapper .switches [type=checkbox]:disabled + label span:last-child {
    background: #00d084;
    filter: grayscale(1);
}
#cookie_banner-wrapper .switches [type=checkbox]:checked + label span:last-child::before {
    transform: translateX(24px);
}
#cookie_banner-wrapper .switches [type=checkbox]:checked + label span:last-child::after {
    width: 14px;
    height: 14px;
    /*right: auto*/
    left: 8px;
    background-image: url(/assets/public/images/dsgvo/checkmark-switcher.svg);
    background-size: 14px 14px;
}

.map_disabled_text {
    background: #ffffff;
    color: #000000;
    padding: 10px;
    border: 1px solid #afafaf;
    width: calc(100% - 60px);
    max-width: 610px;
}
.map_disabled_text p:last-of-type {
    margin-bottom: 0;
}

.form_disabled_text {
    background: #ffffff;
    color: #000000;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    width: 100%;
    max-width: 610px;
    border: 1px solid #afafaf;
    padding: 10px;
}
.form_disabled_text p:last-of-type {
    margin-bottom: 0;
}

.uk-checkbox.cookie-checkbox-disabled, .uk-radio.cookie-checkbox-disabled {
    background-color: #afafaf;
    border-color: #afafaf;
    background-image: url("data:image/svg+xml;charset=UTF-8,%3Csvg%20width%3D%2214%22%20height%3D%2211%22%20viewBox%3D%220%200%2014%2011%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%0A%20%20%20%20%3Cpolygon%20fill%3D%22%23fff%22%20points%3D%2212%201%205%207.5%202%205%201%205.5%205%2010%2013%201.5%22%20%2F%3E%0A%3C%2Fsvg%3E%0A") !important;
}

.details {
    text-align: left;
}
.details p {
    margin: 0px;
}
.details hr {
    margin: 25px 0;
}
.details p.kategorie {
    font-weight: bold;
    margin-top: 15px !important;
    text-decoration: underline;
}

.yt_inactive {
    width: 100%;
    height: auto;
    margin-bottom: 25px;
}

.yt_embed {
    position: relative;
    padding-bottom: 56.25%;
    height: 0;
    overflow: hidden;
    max-width: 100%;
}
.yt_embed iframe, .yt_embed object, .yt_embed embed {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.fingerprint {
    position: fixed;
    left: 30px;
    bottom: 30px;
    height: 50px;
    width: 50px;
    background: #866843;
    border-radius: 100% 0 100% 100%;
    z-index: 100;
    box-shadow: 0 5px 26px 0 rgba(0, 0, 0, 0.2), 0 20px 28px 0 rgba(0, 0, 0, 0.3);
}
.fingerprint .content {
    position: relative;
    width: 100%;
    height: 100%;
    font-size: 2rem;
}
.fingerprint .content i {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    color: #ffffff;
}

.buttonleiste {
    margin-top: 20px;
    margin-bottom: 0 !important;
    display: grid;
    grid-template-columns: auto 385px;
    grid-template-areas: "links rechts";
}
@media (max-width: 630px) {
    .buttonleiste {
        grid-template-areas: "first" "second";
        grid-template-columns: 1fr;
        grid-gap: 10px;
    }
}
.buttonleiste .uk-button-primary {
    color: #ffffff;
    font-size: 0.7rem;
}
.buttonleiste .uk-button-primary:hover {
    color: #ffffff;
}
@media (max-width: 630px) {
    .buttonleiste .uk-button-primary {
        margin-bottom: 5px;
    }
}
.buttonleiste .branding {
    grid-area: links;
}
@media (max-width: 630px) {
    .buttonleiste .branding {
        grid-area: second;
        text-align: center;
    }
}
.buttonleiste .branding .af {
    line-height: 28px;
    color: #afafaf;
    transition: ease-in-out all 1s;
    border-bottom: 1px solid #afafaf;
}
@media (max-width: 630px) {
    .buttonleiste .branding .af {
        line-height: 1;
        text-align: center;
    }
}
.buttonleiste .branding .af:hover {
    color: #535957;
    transition: ease-in-out all 1s;
}
.buttonleiste .buttons {
    grid-area: rechts;
    text-align: right;
}
@media (max-width: 630px) {
    .buttonleiste .buttons {
        grid-area: first;
        text-align: center;
    }
}

.dsgvo_modal {
    background: #f2f2f2;
    border-radius: 15px 0 15px 15px;
    padding: 20px;
}
.dsgvo_modal .dsgvo-modal-titel {
    font-size: 0.9rem;
    font-weight: bold;
    text-transform: uppercase;
}
.dsgvo_modal hr {
    margin: 15px 0;
}
.dsgvo_modal p {
    font-size: 0.8rem;
    line-height: 1.2;
    margin: 0 0 10px 0;
}

.youtubebox_disabled {
    padding: 30px;
    text-align: center;
    background: #f2f2f2;
    box-shadow: rgba(0, 0, 0, 0.15) 2.4px 2.4px 3.2px;
    max-width: 600px;
    display: block;
    margin: 30px auto;
}
.youtubebox_disabled .icon {
    font-size: 4rem;
    color: #FF0000;
}
